<script lang="ts">
    import Accordion from "@smui-extra/accordion";
    import OptionPanel from "./OptionPanel.svelte";

    export let options: any[]; //TODO:set type
</script>

<div class="accordion-container">
    <Accordion>
        {#each options as option}
            <OptionPanel {option} bind:value={option.value} />
        {/each}
    </Accordion>
</div>
